<?php
// -- Instances
$db  = new PHPLeague_Database();
$ctl = new PHPLeague_Admin_Controller();
$fct = new MWD_Plugin_Tools();

// -- $_GET
$get_id_league  = ( ! empty($_GET['id_league'])  ? intval($_GET['id_league'])  : 0);
$get_id_fixture = ( ! empty($_GET['id_fixture']) ? intval($_GET['id_fixture']) : 1);

if ($db->is_league_exists($get_id_league) === FALSE) {
	wp_die(__('We did not find the league in the database.'));
}

// -- Vars
$league_name = $db->return_league_name($get_id_league);
$setting	 = $db->get_league_settings($get_id_league);
$nb_teams	 = intval($setting->nb_teams);$nb_fixtures = $db->nb_fixtures_league($get_id_league);
$page_url    = 'admin.php?page=phpleague_overview&option=match&id_league='.$get_id_league;
$message	 = '';
$output		 = '';
$data 		 = array();
$menu 		 = array(
	'Matches'  => '#',
	'Teams'    => admin_url('admin.php?page=phpleague_overview&option=team&id_league='.$get_id_league),
	'Fixtures' => admin_url('admin.php?page=phpleague_overview&option=fixture&id_league='.$get_id_league),
	'Results'  => admin_url('admin.php?page=phpleague_overview&option=result&id_league='.$get_id_league),
	'Settings' => admin_url('admin.php?page=phpleague_overview&option=setting&id_league='.$get_id_league)
);

if (isset($_POST['matches']) && check_admin_referer('phpleague_nonce_admin')) {
	$id_fixture = ( ! empty($_POST['id_fixture'])) ? intval($_POST['id_fixture']) : 0;
	$id_home    = ( ! empty($_POST['id_home']) && is_array($_POST['id_home'])) ? $_POST['id_home'] : NULL;
	$id_away    = ( ! empty($_POST['id_away']) && is_array($_POST['id_away'])) ? $_POST['id_away'] : NULL;
	
	if ($id_fixture === 0) {
		$message = __('An error occurred with the fixture ID.');
	}
	elseif ($id_home === NULL || $id_away === NULL) {
		$message = __('An error occurred with one of the input.');
	} else {
		// Remove old data even if there are nothing
		$db->remove_matches_from_fixture($id_fixture);
		
		// Insert new data
		for ($counter = 0; $counter < ($nb_teams / 2); $counter++) {
			$db->add_matches_to_fixture($id_fixture, $id_home[$counter], $id_away[$counter]);
		}
		
		$message = __('Matches updated successfully.');
	}
}

if ($nb_fixtures != ($nb_teams * intval($setting->nb_leg)) - 2) {
	$message = __('No fixtures in the database for the selected league.');
} else {
	$page_number   = ( ! empty($_GET['id_fixture']) ? intval($_GET['id_fixture']) : 1);
	$pagination	   = $fct->pagination($nb_fixtures, 1, $page_number, 'id_fixture');
	
	if ($pagination) {
		$output .= '<div class="tablenav"><div class="tablenav-pages">'.$pagination.'</div></div>';	
	}
	
	$output .= $fct->form_open(admin_url($page_url));

	// Check if the fixture exists in matches table
	$id_fixture = $db->get_fixture_id($get_id_fixture, $get_id_league, FALSE);
	$nb_matches = ($nb_teams / 2);
	$i = $team_home = $team_away = 0;

	$output .= '<table class="widefat">
		<thead>
		<tr><th colspan="2">'.__($league_name.' - Fixture: '.$get_id_fixture).'</th></tr>
		<tr><th style="text-align:center;">'.__('Home').'</th><th style="text-align:center;">'.__('Away').'</th></tr>
		</thead>';

	foreach ($db->get_distinct_league_team($get_id_league) as $array) {
		$clubs_list[intval($array->club_id)] = esc_html($array->name);	
	}

	// Home & Away matches
	for ($counter = $nb_matches; $counter > 0; $counter = $counter - 1) {	
		// TODO: try to take it away from the for...
		foreach ($db->get_matches_by_fixture($id_fixture, $counter - 1) as $row) {
			$team_home = intval($row->id_team_home);
			$team_away = intval($row->id_team_away);
		}

		// Home matches
		$output .= '<tr '.$fct->alternate('', 'class="alternate"').'><td>';
		$output .= $fct->select('id_home[]', $clubs_list, $team_home, array('style' => 'width: 100%;'));
		$output .= '</td>';

		// Away matches
		$output .= '<td>';
		$output .= $fct->select('id_away[]', $clubs_list, $team_away, array('style' => 'width: 100%;'));
		$output .= '</td></tr>';

		$i++;
	}
	
	$output .= '</table>';
	$output .= $fct->input('id_fixture', $id_fixture, array('type' => 'hidden'));
	$output .= '<p>'.$fct->input('matches', __('Save'), array('type' => 'submit', 'class' => 'button-secondary action')).'</p>';
	$output .= $fct->form_close();
}

$data[] = array(
	'menu'  => 'Matches',
	'title' => __('Matches of ').$league_name,
	'text'  => $output,
	'class' => 'full'
);

echo $ctl->admin_container($menu, $data, $message);