<?php
// -- Instances
$db  = new PHPLeague_Database();
$ctl = new PHPLeague_Admin_Controller();
$fct = new MWD_Plugin_Tools();

// -- $_GET
$get_id_league  = ( ! empty($_GET['id_league'])  ? intval($_GET['id_league'])  : 0);
$get_id_fixture = ( ! empty($_GET['id_fixture']) ? intval($_GET['id_fixture']) : 1);

if ($db->is_league_exists($get_id_league) === FALSE) {
	wp_die(__('We did not find the league in the database.'));
}

// -- Vars
$league_name = $db->return_league_name($get_id_league);
$setting	 = $db->get_league_settings($get_id_league);
$nb_teams	 = intval($setting->nb_teams);
$nb_fixtures = $db->nb_fixtures_league($get_id_league);
$page_url    = 'admin.php?page=phpleague_overview&option=result&id_league='.$get_id_league;
$message	 = '';
$output		 = '';
$data 		 = array();
$menu 		 = array(
	'Results'  => '#',
	'Teams'    => admin_url('admin.php?page=phpleague_overview&option=team&id_league='.$get_id_league),
	'Fixtures' => admin_url('admin.php?page=phpleague_overview&option=fixture&id_league='.$get_id_league),
	'Matches'  => admin_url('admin.php?page=phpleague_overview&option=match&id_league='.$get_id_league),
	'Settings' => admin_url('admin.php?page=phpleague_overview&option=setting&id_league='.$get_id_league)
);

if (isset($_POST['results']) && check_admin_referer('phpleague_nonce_admin')) {

	$goal_home  = ( ! empty($_POST['goal_home']) && is_array($_POST['goal_home'])) ? $_POST['goal_home'] : NULL;
	$goal_away  = ( ! empty($_POST['goal_away']) && is_array($_POST['goal_away'])) ? $_POST['goal_away'] : NULL;
	$id_match   = ( ! empty($_POST['id_match']) && is_array($_POST['id_match'])) ? $_POST['id_match'] : NULL;
	$date       = ( ! empty($_POST['date']) && is_array($_POST['date'])) ? $_POST['date'] : '';
	
	while (list($cle, $played) = each($date) AND list($cle, $goal_h) = each($goal_home)
		AND list($cle, $goal_a) = each($goal_away) AND list($cle, $match_id) = each($id_match)) {
		if ( ! (($goal_h == '') || ($goal_a == ''))) {
			$db->update_results($goal_h, $goal_a, $played, $match_id);
			$message = __('Results updated successfully with goals.');
		} elseif (($goal_h == '') || ($goal_a == '')) {
			$db->update_results(NULL, NULL, $played, $match_id);
			$message = __('Results updated successfully without all goals.');
		} else {
			$message = __('An error occurred.');
		}
	}
}

if ($nb_fixtures != ($nb_teams * intval($setting->nb_leg)) - 2) {
	$message = __('No fixtures in the database for the selected league.');
} else {
	$page_number   = ( ! empty($_GET['id_fixture']) ? intval($_GET['id_fixture']) : 1);
	$pagination	   = $fct->pagination($nb_fixtures, 1, $page_number, 'id_fixture');
	
	if ($pagination) {
		$output .= '<div class="tablenav"><div class="tablenav-pages">'.$pagination.'</div></div>';	
	}
	
	$output .= $fct->form_open(admin_url($page_url));

	$output .= '<table class="widefat"><thead><tr><th colspan="5">'.__($league_name.' - Fixture: '.$get_id_fixture).'</th></tr></thead>';

	foreach ($db->get_results_by_fixture($get_id_fixture, $get_id_league) as $row) {
		$output .= '<tr '.$fct->alternate('', 'class="alternate"').'><td style="text-align:right;">'.esc_html($row->name_home).'</td>';
		$output .= '<td class="check-column">'.$fct->input('goal_home[]', $row->goal_home, array('size' => 2)).'</td>';
		$output .= '<td class="check-column">'.$fct->input('goal_away[]', $row->goal_away, array('size' => 2)).'</td>';
		$output .= '<td>'.esc_html($row->name_away).'</td>';
		$output .= '<td class="check-column">'.$fct->input('date[]', esc_html($row->played), array('size' => 18)).
				$fct->input('id_match[]', intval($row->match_id), array('type' => 'hidden')).'</td></tr>';
	}

	$output .= '</table>';
	$output .= '<p>'.$fct->input('results', __('Save'), array('type' => 'submit', 'class' => 'button-secondary action')).'</p>';
	$output .= $fct->form_close();
}

$data[] = array(
	'menu'  => 'Results',
	'title' => __('Results of ').$league_name,
	'text'  => $output,
	'class' => 'full'
);
echo $ctl->admin_container($menu, $data, $message);